Bug 994612 - [abrt] kdevelop-4.5.1-1.fc19: operator==: Process /usr/bin/kdevelop was killed by signal 11 (SIGSEGV)
[abrt] kdevelop-4.5.1-1.fc19: operator==: Process /usr/bin/kdevelop was kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:9189f95e395a74f8ac3ef94c409...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 11:30 EDT by Andrew Boettcher
Modified: 2015-02-09 06:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-09 06:57:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (166.29 KB, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: core_backtrace (191.45 KB, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: dso_list (24.08 KB, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: environ (1.56 KB, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: maps (146.30 KB, text/plain)
2013-08-07 11:30 EDT, Andrew Boettcher
no flags Details
File: open_fds (3.97 KB, text/plain)
2013-08-07 11:31 EDT, Andrew Boettcher
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2013-08-07 11:31 EDT, Andrew Boettcher
no flags Details
File: var_log_messages (237 bytes, text/plain)
2013-08-07 11:31 EDT, Andrew Boettcher
no flags Details
File: xsession_errors (2.72 KB, text/plain)
2013-08-07 11:31 EDT, Andrew Boettcher
no flags Details
Crashing c++11 source (216 bytes, text/plain)
2013-08-07 12:09 EDT, Andrew Boettcher
no flags Details

  None (edit)
Description Andrew Boettcher 2013-08-07 11:30:23 EDT
Description of problem:
I have not yet found a minimum skeleton of code to reproduce the problem, but it seems to happen when parsing some very templated c++11 code. Even opening files that contain a certain type on construct in the project seems to crash kdevelop.

From the backtrace it seems to be a problem parsing the template specializations in the files in question. I will attempt to widdle down the code to something that reproduces the crash and append it to this ticket.

Version-Release number of selected component:
kdevelop-4.5.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/kdevelop
crash_function: operator==
executable:     /usr/bin/kdevelop
kernel:         3.9.4-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 operator== at ../../../../libstdc++-v3/libsupc++/typeinfo:124
 #1 __cxxabiv1::__class_type_info::__do_dyncast at ../../../../libstdc++-v3/libsupc++/class_type_info.cc:86
 #2 __cxxabiv1::__vmi_class_type_info::__do_dyncast at ../../../../libstdc++-v3/libsupc++/vmi_class_type_info.cc:163
 #4 __cxxabiv1::__dynamic_cast at ../../../../libstdc++-v3/libsupc++/dyncast.cc:60
 #5 Cpp::TemplateDeclaration::setSpecializedFrom at /usr/src/debug/kdevelop-4.5.1/languages/cpp/cppduchain/templatedeclaration.cpp:384
Comment 1 Andrew Boettcher 2013-08-07 11:30:33 EDT
Created attachment 783976 [details]
File: backtrace
Comment 2 Andrew Boettcher 2013-08-07 11:30:37 EDT
Created attachment 783977 [details]
File: cgroup
Comment 3 Andrew Boettcher 2013-08-07 11:30:41 EDT
Created attachment 783978 [details]
File: core_backtrace
Comment 4 Andrew Boettcher 2013-08-07 11:30:45 EDT
Created attachment 783979 [details]
File: dso_list
Comment 5 Andrew Boettcher 2013-08-07 11:30:48 EDT
Created attachment 783980 [details]
File: environ
Comment 6 Andrew Boettcher 2013-08-07 11:30:52 EDT
Created attachment 783981 [details]
File: limits
Comment 7 Andrew Boettcher 2013-08-07 11:30:56 EDT
Created attachment 783982 [details]
File: maps
Comment 8 Andrew Boettcher 2013-08-07 11:31:01 EDT
Created attachment 783983 [details]
File: open_fds
Comment 9 Andrew Boettcher 2013-08-07 11:31:04 EDT
Created attachment 783984 [details]
File: proc_pid_status
Comment 10 Andrew Boettcher 2013-08-07 11:31:08 EDT
Created attachment 783985 [details]
File: var_log_messages
Comment 11 Andrew Boettcher 2013-08-07 11:31:14 EDT
Created attachment 783986 [details]
File: xsession_errors
Comment 12 Andrew Boettcher 2013-08-07 12:09:28 EDT
Created attachment 783988 [details]
Crashing c++11 source

This code when CMakeLists.txt has

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

will crash KDevelop's parser
Comment 13 Andrew Boettcher 2013-08-07 12:13:12 EDT
The crash seems to come from template specializations when the template declaration is not available in the file with the specialization. If I delete the DataSource<double> specialization, I can recreate the crash by typing that definition up to the DataSource keyword.

If the file is already loaded then I can cause a crash by typing the template keyword anywhere in the file.

Note the c++11 source in crash.cpp does not crash if the template forward declaration is uncommented. It will still crash if that forward declaration is located in another file. This code is valid c++11.
Comment 14 Fedora End Of Life 2015-01-09 14:20:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.